
#property copyright "mn"
#property indicator_separate_window
#property indicator_buffers 1
#property indicator_level1 22
#property indicator_level2 -22
#property indicator_levelstyle 2
#property indicator_levelcolor clrBlack
#property indicator_maximum 30
#property indicator_minimum -30

extern int N = 60;
extern int MaxBars = 1440;

double mRen[];

//+------------------------------------------------------------------+
int init()
{
    IndicatorShortName("Rendi");
    IndicatorDigits(1);
    SetIndexStyle(0, DRAW_LINE, STYLE_SOLID, 1, clrBlue);
    SetIndexBuffer(0, mRen);
    
    return (0);
}

//+------------------------------------------------------------------+
int start()
{
    int bars;
    int counted_bars = IndicatorCounted();
    if(counted_bars > 0)
        counted_bars--;
    bars = Bars - counted_bars;

    if (bars > MaxBars && MaxBars > 10)
        bars = MaxBars;
         
    for(int i = bars-1; i >= 0; i--)
    {
        int y = iBarShift(NULL, 0, Time[i]);
        double MA_High = iMA(NULL, 0, N, 0, 0, 2, y),
               MA_Low  = iMA(NULL, 0, N, 0, 0, 3, y),
               mAvLvl  = (MA_High + MA_Low) / 2.0,
               mDiff   = (MA_High - MA_Low) / 5.0;
        
        if(mDiff != 0)
          mRen[i] = (iClose(NULL, 0, y) - mAvLvl) / mDiff;
    }
    return(0);
}

//+------------------------------------------------------------------+
int deinit()
{

    return (0);
}

//+------------------------------------------------------------------+
